Package org.apache.sysds.runtime.codegen

# Enum Class SpoofCellwise.CellType

java.lang.Object
java.lang.Enum<SpoofCellwise.CellType>
org.apache.sysds.runtime.codegen.SpoofCellwise.CellType

All Implemented Interfaces:
  `Serializable`, `Comparable<SpoofCellwise.CellType>`, `Constable`

Enclosing class:
  SpoofCellwise

public static enum SpoofCellwise.CellType extends Enum<SpoofCellwise.CellType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COL_AGG`
`FULL_AGG`
`NO_AGG`
`ROW_AGG`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`static SpoofCellwise.CellType`
`valueOf(int cellType)`
Returns the enum constant of this class with the specified name.
`static SpoofCellwise.CellType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofCellwise.CellType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_AGG

public static final SpoofCellwise.CellType NO_AGG

### FULL_AGG

public static final SpoofCellwise.CellType FULL_AGG

### ROW_AGG

public static final SpoofCellwise.CellType ROW_AGG

### COL_AGG

public static final SpoofCellwise.CellType COL_AGG

## Method Details

### values

public static SpoofCellwise.CellType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SpoofCellwise.CellType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

public static SpoofCellwise.CellType valueOf(int cellType)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `cellType` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()